For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
Path parameters
charge_capture_idstringRequiredformat: "uuid"
Request
This endpoint expects an object.
dataobject or nullOptional
charge_external_idstring or nullOptional
A client-specified unique ID to associate with this encounter;
for example, your internal encounter ID or a Dr. Chrono encounter ID.
This field should not contain PHI.
ehr_source_urlstring or nullOptional
External URL reference that links to Charge Capture details within the external system (e.g. the EHR visit page).
Send full URL format for the external link (e.g. https://emr_charge_capture_url.com/123).
originating_systemstring or nullOptional
An optional string field denoting the originating system of the charge.
claim_creation_categorystring or nullOptional
An optional string field denoting the user defined category of the claim creation.
patient_external_idstring or nullOptional
The patient ID from the external EMR platform for the patient
statusenum or nullOptional
the status of the charge capture
Allowed values:
attachment_external_document_idslist of strings or nullOptional
Provide external attachment IDs which have been uploaded to Taiga. They will be associated with the Encounter at Encounter creation time.
metadatalist of objects or nullOptional
Key-value pairs that adhere to metadata schemas.
Multiple metadata instances can be associated with a charge capture.
hl7_message_typeenum or nullOptional
The HL7 message type that produced this write. Used to differentiate post-submission update behavior. Sent by HL7 producers (conduit); null for manual / script writes.
Allowed values:
Response
idstringformat: "uuid"
statusenum
Allowed values:
charge_capture_dataobject
patient_external_idstring
charge_external_idstring
updateslist of objects
This list of updates will always return at most 1 update that is not resolved. The singular update will contain the difference between the updated charge and the created encounter.
date_of_servicedate or nullOptional
ehr_source_urlstring or nullOptional
originating_systemstring or nullOptional
claim_creation_categorystring or nullOptional
metadatalist of objects or nullOptional
Key-value pairs that adhere to metadata schemas.
Multiple metadata instances can be associated with a charge capture.
errorobject or nullOptional
claim_creation_idstring or nullOptionalformat: "uuid"